# V1alpha1Mutation

Mutation specifies the CEL expression which is used to apply the Mutation.
## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**apply_configuration** | [**V1alpha1ApplyConfiguration**](V1alpha1ApplyConfiguration.md) |  | [optional] 
**json_patch** | [**V1alpha1JSONPatch**](V1alpha1JSONPatch.md) |  | [optional] 
**patch_type** | **str** | patchType indicates the patch strategy used. Allowed values are \&quot;ApplyConfiguration\&quot; and \&quot;JSONPatch\&quot;. Required. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


